OpenVDB 7.0.0

Public Types | Public Member Functions | Public Attributes | List of all members
BinPointIndicesOp< PointArray, PointIndexType, VoxelOffsetType > Struct Template Reference

`#include <PointPartitioner.h>`

## Public Types
using | PosType = typename PointArray::PosType
using | IndexPair = std::pair< PointIndexType, PointIndexType >
using | IndexPairList = std::deque< IndexPair >
using | IndexPairListPtr = SharedPtr< IndexPairList >
using | IndexPairListMap = std::map< Coord, IndexPairListPtr >
using | IndexPairListMapPtr = SharedPtr< IndexPairListMap >

## Public Member Functions
| BinPointIndicesOp (IndexPairListMapPtr *data, const PointArray &points, VoxelOffsetType *voxelOffsets, const math::Transform &m, Index binLog2Dim, Index bucketLog2Dim, size_t numSegments, bool cellCenteredTransform)
void | operator() (const tbb::blocked_range< size_t > &range) const

## Public Attributes
IndexPairListMapPtr *const | mData
const PointArray *const | mPoints
VoxelOffsetType *const | mVoxelOffsets
const math::Transform | mXForm
const Index | mBinLog2Dim
const Index | mBucketLog2Dim
const size_t | mNumSegments
const bool | mCellCenteredTransform

## Member Typedef Documentation

## ◆ IndexPair

using IndexPair = std::pair<PointIndexType, PointIndexType>

## ◆ IndexPairList

using IndexPairList = std::deque<IndexPair>

## ◆ IndexPairListMap

using IndexPairListMap = std::map<Coord, IndexPairListPtr>

## ◆ IndexPairListMapPtr

using IndexPairListMapPtr = SharedPtr<IndexPairListMap>

## ◆ IndexPairListPtr

using IndexPairListPtr = SharedPtr<IndexPairList>

## ◆ PosType

using PosType = typename PointArray::PosType

## Constructor & Destructor Documentation

## ◆ BinPointIndicesOp()

BinPointIndicesOp | ( | IndexPairListMapPtr * | data,
|  | const PointArray & | points,
|  | VoxelOffsetType * | voxelOffsets,
|  | const math::Transform & | m,
|  | Index | binLog2Dim,
|  | Index | bucketLog2Dim,
|  | size_t | numSegments,
|  | bool | cellCenteredTransform
| ) |  |
| inline

## Member Function Documentation

## ◆ operator()()

void operator() | ( | const tbb::blocked_range< size_t > & | range | ) | const
| inline

## Member Data Documentation

## ◆ mBinLog2Dim

const Index mBinLog2Dim

## ◆ mBucketLog2Dim

const Index mBucketLog2Dim

## ◆ mCellCenteredTransform

const bool mCellCenteredTransform

## ◆ mData

IndexPairListMapPtr* const mData

## ◆ mNumSegments

const size_t mNumSegments

## ◆ mPoints

const PointArray* const mPoints

## ◆ mVoxelOffsets

VoxelOffsetType* const mVoxelOffsets

## ◆ mXForm

const math::Transform mXForm

The documentation for this struct was generated from the following file:

- PointPartitioner.h